/* header.css */
.header {
	position: fixed;
	top: 60px;
	left: 50%;
	transform: translate(-50%);
	width: calc(100% - 210px);
	border-radius: 15px;
	z-index: 999;
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 0.225rem 1.25rem;
	background-color: #ffffff;
}

.logo img {
	height: 48px;
}

.nav-center ul {
	display: flex;
	gap: 2.5rem;
}

.nav-center a,
.nav-right a {
    font-size: 1.25rem;
	color: #333;
}

.nav-center a:hover,
.nav-right a:hover {
    color: #7c3aed;
}
.nav-right ul {
    display: flex;
    gap: 2.5rem;
    align-items: center;
}

.nav-right img{
    height: 20px;
}

.nav-right a:hover img{
    opacity: 0.7;
}

.nav-container{
	display: flex;
	justify-content: space-around;
	width: 100%;
	align-items: center;
}

.menu-toggle{
	display: none;
}

.menu-icon{
	display: none;
	width: 30px;
	height: 30px;
	cursor: pointer;
	z-index: 1001;
}

.menu-icon img{
	width: 100%;
	height: 100%;
	transition: opacity 0.3s ease;
}

.menu-icon:hover img{
	opacity: 0.7;
}

@media (max-width: 1280px){
	.header{
	  width: calc(100% - 40px);
	}

	.menu-icon{
		display: block;
	}

	.nav-container{
		position: fixed;
		top: 0;
		right: -100%;
		width: 200px;
		flex-direction: column;
		padding: 80px 20px 20px;
		background-color: #fff;
		gap: 2rem;
		transition: right 0.3s ease;
		align-items: flex-start;
	}

	.nav-center,.nav-right{
		width: 100%;
		text-align: center;
	}

	.nav-center ul,.nav-right ul{
		flex-direction: column;
		gap: 1.5rem;
		width: 100%;
	}

	.nav-center a,.nav-right a{
		width: 100%;
		border-bottom: 1px solid #eee;
		padding: 0.3rem 0;
		font-size: 1rem;
		display: block;
	}

	.menu-toggle:checked ~ .nav-container{
		right: 0;
	}
}